import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
export declare class ImportExpression extends Expression {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createImportExpression(source?: Expression): ImportExpression;
    static updateImportExpression(original?: ImportExpression, source?: Expression): ImportExpression;
    get source(): Expression | undefined;
    protected readonly brandImportExpression: undefined;
}
export declare function isImportExpression(node: object | undefined): node is ImportExpression;
